Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TriggeringEventEvaluator Class Referenceabstract

Implementions of this interface allow certain appenders to decide when to perform an appender specific action. More...

Inherits Object.

## Public Member Functions
virtual bool | isTriggeringEvent (const spi::LoggingEventPtr &event)=0
| Is this the triggering event? More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Implementions of this interface allow certain appenders to decide when to perform an appender specific action.

For example the SMTPAppender sends an email when the isTriggeringEvent method returns `true` and adds the event to an internal buffer when the returned result is `false`.

## Member Function Documentation

virtual bool isTriggeringEvent | ( | const spi::LoggingEventPtr & | event | ) |
| pure virtual

Is this the triggering event?

The documentation for this class was generated from the following file:

- triggeringeventevaluator.h